@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+Thai:wght@100..900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Noto Sans Thai", sans-serif;
    text-decoration: none;
}

body {
    background-color: rgb(235, 235, 235);
}

header {
    width: 100%;
    height: 6.5vw;
    position: fixed;
    z-index: 10;
}

@media (max-width: 480px) {
    header {
        width: 100%;
        height: auto;
    }

}

.header-A {
    width: 100%;
    height: 1.5vw;
    background-color: #194786;
    box-shadow: 0vw 4vw 0.4vw 1vw #194786;
}

@media (max-width: 480px) {
    .header-A {
        height: auto;
        padding: 0.5vw;
        box-shadow: 0vw 5vw 2vw 2vw #194786;
    }

}

.header-container {
    width: 70%;
    height: 1.3vw;
    background-color: transparent;
    margin: 0 auto;
    font-size: 0.75vw;
    display: flex;
    padding-left: 0.6vw;
}

@media (max-width: 480px) {
    .header-container {
        width: 100%;
        height: auto;
        font-size: 1.2vw;
    }

}

.header-first {
    width: auto;
    height: 1.3vw;
    background-color: transparent;
    padding-top: 0.15vW;
    display: flex;
    color: white;
}

.icon-head-line {
    font-size: 0.9vw;
    color: white;
    margin-left: 0.5vw;
    margin-top: 0.1vw;
}

@media (max-width: 480px) {
    .icon-head-line {
        font-size: 1.2vw;
        margin-top: 0.1vw;
        margin-left: 1vw;
    }

}

.icon-head-face {
    font-size: 1vw;
    color: white;
    margin-left: 0.5vw;
    margin-top: 0.05vw;
}

@media (max-width: 480px) {
    .icon-head-face {
        font-size: 1.2vw;
        margin-left: 1vw;
    }

}

.icon-head-line:hover,
.icon-head-face:hover {
    font-size: 1.1vw;
}

.header-B {
    width: 100%;
    height: auto;
    background-color: whitesmoke;
}

.B-container {
    width: 70%;
    height: 5vw;
    background-color: transparent;
    display: flex;
    margin: 0 auto;
}

@media (max-width: 480px) {
    .B-container {
        width: auto;
        height: 8vw;
        padding-left: 2vw;
        padding-right: 2vw;
        background-color: transparent;
    }
}

.B-logo {
    width: 20%;
    height: auto;
    background-color: transparent;
    padding: 0.15VW;
}

@media (max-width: 480px) {
    .B-logo {
        width: 15%;
        height: auto;
        margin-top: 1.5vw;
        margin-left: 2vw;
    }

}

.B-container-2 {
    width: 80%;
    height: auto;
    background-color: transparent;
    padding-top: 1vw;
    padding-bottom: 1vw;
    margin-top: 2vw;
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-top: solid 0.1vw #707070;

}

@media (max-width: 480px) {
    .B-container-2 {
        margin-top: 0vw;
        display: flex;
        align-items: center;
        justify-content: space-around;
        border-top: none;

    }

}

.head-menu-top {
    width: auto;
    height: auto;
    font-size: 1.1vw;
    padding-top: 0.3vw;
    padding-bottom: 0.3vw;
    padding-left: 1vw;
    padding-right: 1vw;
    text-align: center;
    background-color: transparent;
    border-radius: 0.5vw;
    color: #194786;

}

@media (max-width: 480px) {
    .head-menu-top {
        font-size: 1.5vw;
    }
}

.head-menu-top:hover {
    background-color: #dbdbdb;
    box-shadow: 0.2vw 0.2vw 0.2vw rgb(100, 100, 100);
    transition: 0.3s;
}

nav {
    width: 100%;
    height: auto;
}

.nav-head-blank {
    width: 100%;
    height: 6.5VW;
}

@media (max-width: 480px) {
    .nav-head-blank {
        width: 100%;
        height: 11VW;
    }

}

.nav-body {
    width: 70%;
    height: auto;
    background-color: white;
    margin: 0 auto;
}

@media (max-width: 480px) {
    .nav-body {
        width: 100%;
        height: auto;
        background-color: white;
        margin: 0 auto;
    }

}

.top-category {
    width: 100%;
    height: 4vw;
    padding: 1.2vw;
    font-size: 1.3vw;
    text-align: center;
}

@media (max-width: 480px) {
    .top-category {
        width: 100%;
        height: 5vw;
        padding: 1.5vw;
        font-size: 2vw;
        text-align: center;
    }

}

.head-category {
    width: 100%;
    height: auto;
    padding-bottom: 1.5vw;
    display: flex;
    justify-content: space-around;
}

@media (max-width: 480px) {
    .head-category {
        width: 100%;
        height: auto;
        padding-bottom: 2vw;
        padding-left: 1vw;
        display: flex;
        justify-content: space-around;
    }

}

.a-category {
    width: 16%;
    height: 100%;
    justify-items: center;
}

@media (max-width: 480px) {
    .a-category {
        width: 16%;
        height: 12vw;
        justify-items: center;
    }

}

.img-ct {
    width: 3vw;
    height: 3vw;
    margin-left: 4vw;
}

@media (max-width: 480px) {
    .img-ct {
        margin-left: 5vw;
    }

}

.tx-cl {
    color: black;
}

.tx-cl:hover {
    color: rgb(54, 54, 253);
    text-decoration: underline;
}

.tx-ct {
    width: 100%;
    height: 1.5vw;
    font-size: 0.8vw;
    text-align: center;
}

@media (max-width: 480px) {
    .tx-ct {
        width: 100%;
        height: 1.5vw;
        margin-top: 2vw;
        font-size: 1.1vw;
    }

}

.tx-ct1 {
    width: 100%;
    height: 4vw;
    font-size: 0.7vw;
    margin-left: 2.5vw;
}

@media (max-width: 480px) {
    .tx-ct1 {
        width: 100%;
        height: 4vw;
        font-size: 1vw;
        margin-left: 2.5vw;
        margin-top: 0.5vw;
    }

}

.line-body-product {
    width: 100%;
    height: 1vw;
    background-color: rgb(235, 235, 235);
}

.line-list-product {
    width: 100%;
    height: 3vw;
    font-size: 0.8vw;
    padding-top: 0.5vw;
    padding-left: 1vw;
}

@media (max-width: 480px) {
    .line-list-product {
        font-size: 1.3vw;
        padding-top: 1vw;
        padding-left: 1vw;
    }

}

.line-list-product a:hover {
    text-decoration: underline;
}

.a-head-product {
    width: 100%;
    height: 3vw;
    padding-left: 3vw;
    background-color: transparent;
    font-size: 1.5vw;

}

.b-head-product {
    width: 100%;
    height: 2.5vw;
    padding-left: 3vw;
    padding-right: 3vw;
}

.line-bank-product {
    width: 100%;
    height: 1vw;
}

.b-h-product {
    width: 100%;
    height: 2.5vw;
    padding-top: 0.5vw;
    padding-left: 1vw;
    background-color: rgb(235, 235, 235);
    font-size: 1vw;
}

.body-product {
    width: 100%;
    height: 50vw;
    padding-left: 3vw;
    padding-right: 3vw;
}

.body-product-planb {
    width: 100%;
    height: 63vw;
    padding-left: 3vw;
    padding-right: 3vw;
}

.no-item {
    width: 100%;
    height: 30vw;
}

.no-item img {
    width: 12vw;
    height: 12vw;
    margin-top: 4vw;
    margin-left: 25vw;
}

.tx-no-item {
    width: 100%;
    height: 10vw;
    text-align: center;
    font-size: 2.5vw;
    color: rgb(170, 170, 170);
}



/* Nav bottom open --------------------------------*/

.nav-bottom {
    width: 100%;
    height: 16vw;
    display: flex;
    background-color: #194786;
}

@media (max-width: 480px) {
    .nav-bottom {
        width: 100%;
        height: auto;
        padding: 2vw;
    }

}

.logo-bottom {
    width: 28%;
    height: 16vw;
    background-color: transparent;

}

.logo-bt-1 {
    width: 100%;
    height: 14vw;
    padding-top: 3vw;
    text-align: center;
    font-size: 0.9vw;
    color: white;
}

.logo-bt-2 {
    width: 100%;
    height: 2vw;
    color: white;
    font-size: 0.75vw;
    padding-left: 1vw;
    padding-top: 0.5vw;
}

@media (max-width: 480px) {
    .logo-bt-2 {
        height: auto;
        color: white;
        font-size: 1vw;
        margin-top: 5vw;
    }

}

.link-bottom {
    width: 18%;
    height: 15vw;
    font-size: 0.75vw;
    padding-top: 1vw;
    padding-left: 2vw;
    color: white;
}

@media (max-width: 480px) {
    .link-bottom {
        height: auto;
        font-size: 1.2vw;
        padding-top: 2vw;
    }

}

.link-bottom-2 {
    width: 13%;
    height: 15vw;
    font-size: 0.8vw;
    padding-top: 1vw;
    padding-left: 2vw;
    color: white;
}

@media (max-width: 480px) {
    .link-bottom-2 {
        font-size: 1.2vw;
        padding-top: 2vw;
    }

}

.list-bt {
    display: flex;
    background-color: transparent;
}

.icon-bt {
    margin-top: 0.4vw;
    margin-right: 0.3vw;
}

.text-bt,
.text-bt2 {
    margin-top: 0.3vw;
    color: white;
    display: flex;
}

.text-bt:hover {
    text-decoration: underline;
}

/* Nav bottom close --------------------------------*/

/* For item Open------------------------------------*/

.body-item {
    width: 100%;
    height: auto;
    display: flex;
    padding-top: 3vw;
    padding-left: 4vw;
    padding-right: 4vw;
    flex-wrap: wrap;
    justify-content: space-around;
}

.item-zone-a {
    width: 550px;
    height: 50%;
    border: 0.0vw solid rgb(235, 235, 235);
    border-radius: 1vw;
    overflow: hidden;
}

.item-zone-a img {
    width: 100%;
    height: auto;
}

.tabpic {
    margin-top: 1vw;
}

.item-zone-b {
    width: 600px;
    height: auto;
    margin-left: 1vw;
    background-color: transparent;

}

.tx-zone-b1 {
    width: 100%;
    height: 3vw;
    padding-left: 1vw;
    padding-top: 0.5vw;
    font-size: 0.8vw;
    background-color: transparent;
}

@media (max-width: 480px) {
    .tx-zone-b1 {
        width: 100%;
        height: auto;
        margin-top: 1vw;
        padding-left: 1vw;
        padding-top: 0.5vw;
        font-size: 2vw;
        margin-top: 4vw;
    }
}

.tx-zone-b1a {
    width: 100%;
    height: 3vw;
    padding-left: 1vw;
    padding-top: 0.5vw;
    font-size: 0.7vw;
}

@media (max-width: 480px) {
    .tx-zone-b1a {
        width: 100%;
        height: 5vw;
        margin-top: 1vw;
        padding-left: 1vw;
        padding-top: 0.5vw;
        font-size: 1.7vw;
    }
}

.tx-zone-b1b {
    width: 100%;
    height: 3vw;
    padding-left: 1vw;
    padding-top: 0.5vw;
    font-size: 0.6vw;
}

@media (max-width: 480px) {
    .tx-zone-b1b {
        width: 100%;
        height: 5vw;
        margin-top: 1vw;
        padding-left: 1vw;
        padding-top: 0.5vw;
        font-size: 1.5vw;
    }
}

.tx-zone-b2 {
    width: 100%;
    height: 2vw;
    font-size: 1vw;
    padding-Left: 1vw;
    border-bottom: 0.2vw solid rgb(158, 158, 158);
}

@media (max-width: 480px) {
    .tx-zone-b2 {
        width: 100%;
        height: auto;
        font-size: 3vw;
        padding: 1vw;
        border-bottom: 0.5vw solid rgb(158, 158, 158);
    }
}

.tx-zone-b3 {
    width: 100%;
    height: 18.3vw;
    font-size: 0.9vw;
    padding-top: 1vw;
    padding-Left: 2vw;
    border-bottom: 0.2vw solid rgb(158, 158, 158);
}

@media (max-width: 480px) {
    .tx-zone-b3 {
        width: 100%;
        height: auto;
        font-size: 2.5vw;
        padding-top: 2vw;
        padding-Left: 2vw;
        padding-bottom: 3vw;
        border-bottom: 0.5vw solid rgb(158, 158, 158);
    }
}

.tx-note {
    color: red;
}

.tx-note2 {
    color: #0c346d;
}

.tx-zone-b4 {
    width: 100%;
    height: auto;
    font-size: 0.9vw;
    display: flex;
    justify-content: space-around;
    padding: 2vw;
    padding-bottom: 2vw;
    border-bottom: 0.2vw solid rgb(158, 158, 158);

}

@media (max-width: 480px) {
    .tx-zone-b4 {
        width: 100%;
        height: auto;
        display: flex;
        justify-content: space-around;
        padding-top: 2vw;
        padding-bottom: 2vw;
    }
}

.howto-class {
    width: 10vw;
    height: 2.5vw;
    padding-top: 0.4vw;
    background-color: #109e3b;
    font-size: 1.2vw;
    text-align: center;
    border-radius: 2vw;
    color: white;
}

@media (max-width: 480px) {
    .howto-class {
        width: 30vw;
        height: auto;
        padding: 2vw;
        padding-left: 3vw;
        padding-right: 3vw;
        background-color: #108b35;
        font-size: 3vw;
        text-align: center;
        border-radius: 2.5vw;
    }

}

.howto-class:hover {
    background-color: #00be39;
}

.price-class {
    width: 20vw;
    height: 2.5vw;
    padding-top: 0.4vw;
    background-color: #194786;
    font-size: 1.2vw;
    text-align: center;
    border-radius: 2vw;
    color: white;
    cursor: pointer;
}

@media (max-width: 480px) {
    .price-class {
        width: 50vw;
        height: auto;
        padding: 3vw;
        padding-left: 3vw;
        padding-right: 3vw;
        background-color: #194786;
        font-size: 3.5vw;
        text-align: center;
        border-radius: 2.5vw;
    }

}

.price-class:hover {
    background-color: #075ed6;
}

.tab-end {
    width: 100%;
    height: 10vw;
}

.help-order {
    width: auto;
    height: 20vw;
    display: flex;
    justify-content: right;
    background-image: url(../Pic/help_order_1.png);
    background-size: cover;
    margin-top: 4vw;
    margin-left: 1vw;
    margin-right: 1vw;
    border: 0.3vw solid #dfe4fb;
}

@media (max-width: 480px) {
    .help-order {
        width: auto;
        height: 25vw;
    }

}

.help-order-tx {
    width: 65%;
    height: 100%;
    padding: 1vw;
    padding-left: 2vw;
}

.help-tx1 {
    font-size: 1.8vw;
}

@media (max-width: 480px) {
    .help-tx1 {
        font-size: 2.5vw;
    }

}

.help-tx2 {
    font-size: 1.1vw;
    margin-top: 0.5vw;
}

@media (max-width: 480px) {
    .help-tx2 {
        font-size: 1.5vw;
    }

}

.help-tx3 {
    font-size: 1.2vw;
    margin-left: 3vw;
    margin-top: 1vw;
}

@media (max-width: 480px) {
    .help-tx3 {
        font-size: 1.5vw;
        margin-top: 1vw;
        margin-left: 5vw;
    }
}

.help-tx4 {
    font-size: 1.2vw;
    margin-left: 10vw;
    margin-top: 0.2vw;
}

@media (max-width: 480px) {
    .help-tx4 {
        font-size: 1.5vw;
        margin-left: 14vw;
        margin-top: 0.2vw;
    }
}

.help-tx5 {
    font-size: 1.1vw;
    text-align: center;
    margin-top: 2vw;
}

@media (max-width: 480px) {
    .help-tx5 {
        font-size: 1.5vw;
    }
}

.help-contact {
    width: 100%;
    height: auto;
    margin-top: 4vw;
    padding-left: 1vw;
    padding-right: 1vw;
    padding-bottom: 5vw;
}

@media (max-width: 480px) {
    .help-contact {
        margin-top: 8vw;
        padding-left: 4vw;
        padding-right: 4vw;
        padding-bottom: 10vw;
    }
}

.help-contact-tx {
    width: auto;
    height: auto;
    padding-top: 0.3vw;
    padding-bottom: 0.3vw;
    background-color: #dfe4fb;
    text-align: center;
    font-size: 1.2vw;
    color: #194786;
}

@media (max-width: 480px) {
    .help-contact-tx {
        padding-top: 1vw;
        padding-bottom: 1vw;
        font-size: 3.5vw;
    }
}

.contact-link {
    width: auto;
    height: auto;
    display: flex;
    justify-content: space-around;
    padding: 1vw;
}

.box-link {
    width: 45%;
    height: auto;
    padding: 1vw;
    padding-bottom: 1vw;
    margin-top: 2vw;
    text-align: center;
    border-radius: 1vw;
    border: 0.3vw solid #dfe4fb;

}

@media (max-width: 480px) {
    .box-link {
        padding: 2vw;
        padding-bottom: 2vw;
        margin-top: 3vw;
        border-radius: 2vw;
        border: 0.7vw solid #dfe4fb;
    
    }
}

.box-icon {
    font-size: 3vw;
    color: #108b35;
}

@media (max-width: 480px) {
    .box-icon {
        font-size: 5vw;
    }
}

.box-icon2 {
    font-size: 3vw;
    color: #616161;
}

@media (max-width: 480px) {
    .box-icon2 {
        font-size: 5vw;
    }
}

.box-tx {
    font-size: 1vw;
    margin-bottom: 1vw;
}

@media (max-width: 480px) {
    .box-tx {
        font-size: 1.9vw;
    }
}

.box-tx2 {
    font-size: 1.2vw;
    margin-bottom: 1vw;
}

@media (max-width: 480px) {
    .box-tx2 {
        font-size: 2vw;
    }
}


/* Form Order----------------------------------*/

.container {
    max-width: 900px;
    margin: auto;
    padding: 20px;
    background: #fff;
}

.product-image-box {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 600px;
    background: #eee;
    overflow: hidden;
}

.product-image-box img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.modal-bg {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0, 0, 0, 0.5);
    display: none;
    justify-content: center;
    align-items: center;
}

.modal {
    background: white;
    padding: 40px;
    padding-bottom: 60px;
    border-radius: 10px;
    width: 90%;
    max-width: 500px;
}

.modal h3 {
    margin-top: 0;
}

.modal input[type="text"] {
    width: 100%;
    padding: 8px;
    margin-top: 5px;
    margin-bottom: 10px;
}

.modal label {
    display: block;
    margin-top: 10px;
}

.quantity-box {
    display: flex;
    align-items: center;
    gap: 10px;
    margin: 10px 0;
}

.quantity-box button {
    padding: 5px 10px;
}

.checkbox-group input[type="radio"] {
    margin-right: 5px;
}

.button {
    padding: 10px 15px;
    margin-top: 20px;
    background: #007bff;
    color: white;
    border: none;
    cursor: pointer;
    font-size: 18px;
    border-radius: 5px;
}

.button:disabled {
    background: gray;
    cursor: not-allowed;
}

.close-btn {
    background: rgb(173, 173, 173);
    color: white;
    padding: 5px 10px;
    border: none;
    cursor: pointer;
    margin-top: 40px;
    font-size: 18px;
    text-align: center;
}

.close-btn:hover {
    background: crimson;
}

.tx-error-a {
    font-size: 20px;
}